
var createPattern = function(path) {
  return {pattern: path, included: true, served: true, watched: false};
};

var createBootstrapFramework = function(config) {
  // Include the file that resolves all the dependencies on the client.
  config.files.unshift(createPattern(__dirname + '/topScript.js'));
  config.files.push(createPattern(__dirname + '/requireJsConfig.js'));
  config.files.push(createPattern(__dirname + '/bottomScript.js'));
};

createBootstrapFramework.$inject = [
  'config'
];

module.exports = createBootstrapFramework;
